SDL_HasRectIntersection(3)

NAME
SDL_HasRectIntersection - Determine whether two rectangles intersect.

SYNOPSIS
#include <SDL3/SDL_rect.h>

bool SDL_HasRectIntersection(const SDL_Rect *A, const SDL_Rect *B);

DESCRIPTION
If either pointer is NULL the function will return false.

FUNCTION PARAMETERS

A   an SDL_Rect structure representing the first rectangle.

B   an SDL_Rect structure representing the second rectangle.

RETURN VALUE
Returns true if there is an intersection, false otherwise.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetRectIntersection(3)